For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTSimulates Shipment
      • GETGet Simulation Status
LogoLogo
API ReferenceSimulations

Get Simulation Status

||View as Markdown|
GET
https://sandbox-api.shipbob.com/2026-01/simulate/status/:simulationId
GET
/2026-01/simulate/status/:simulationId
$curl https://sandbox-api.shipbob.com/2026-01/simulate/status/497f6eca-6276-4993-bfeb-53cbbbba6f08 \
> -H "Authorization: Bearer <token>"
200default
1{
2 "entity_id": "string",
3 "entity_type": "string",
4 "simulation": {
5 "action": "ShipOrder",
6 "message": "string",
7 "next": {},
8 "schedule_time": "2019-08-24T14:15:22+00:00",
9 "status": "string"
10 },
11 "simulation_id": "df0e679f-936d-49a6-bcd5-04f5809bd3f2"
12}
Get the detailed status of a simulation to see its current state and information.
Was this page helpful?
Previous

Simulates Shipment

Next

Get Channels

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

simulationIdstringRequiredformat: "uuid"
The simulation id

Response

The simulation status
entity_idstring

The identifier of the entity the simulation is associated with (for example: shipment id).

entity_typestring

The type of entity the simulation is associated with (for example: Order).

simulationobject

The current status of the simulation action(s), including any chained next actions.

simulation_idstringformat: "uuid"
The unique identifier of the simulation run.